# RtPhysAttr Struct Reference

List of all members.

## Public Attributes
unsigned short | type
int | flags
RtFloat | weight
RtFloat | elasticity
RtFloat | coarseness
RtFloat | friction
RtFloat | resistance
RtFloat | adhesion
RtFloat | charge
RtFloat | stringpower
RtFloat | stringradius
RtPoint | localcog
RtPoint | meshcenter
RtPoint | motion_speed
RtPoint | rotation_speed
RtPoint | acc_motion_speed
RtPoint | acc_rotation_speed
RtUlong | fixnum
RtPoint | fix1
RtPoint | fix2
RtFloat | volume
RtFloat | density
RtMatrix3f | inertia
BSTR | name
RtFloat | fShapeSize
RtPhysImpulse | impulse

## Detailed Description

Data structure for physical attributes

## Member Data Documentation

unsigned short RtPhysAttr::type

Type of object, RtPhysAttr::RtPhysObjTypes

int RtPhysAttr::flags

Internal flags, RtPhysAttr::RtPhysAttrFlags

RtFloat RtPhysAttr::weight

Mass

RtFloat RtPhysAttr::elasticity

Elasticity

RtFloat RtPhysAttr::coarseness

Coarseness

RtFloat RtPhysAttr::friction

Friction

RtFloat RtPhysAttr::resistance

Resistance

RtFloat RtPhysAttr::adhesion

Adhesion

RtFloat RtPhysAttr::charge

Charge

RtFloat RtPhysAttr::stringpower

String power

RtFloat RtPhysAttr::stringradius

Radius of string effects

RtPoint RtPhysAttr::localcog

Centre of gravity in in object local coordinate

RtPoint RtPhysAttr::meshcenter

Center of mesh in object local coordinate

RtPoint RtPhysAttr::motion_speed

Dpeed

RtPoint RtPhysAttr::rotation_speed

Angular speed

RtPoint RtPhysAttr::acc_motion_speed

Acceleration

RtPoint RtPhysAttr::acc_rotation_speed

Angular acceleration

RtUlong RtPhysAttr::fixnum

Number of fixation points

RtPoint RtPhysAttr::fix1

First fixation point

RtPoint RtPhysAttr::fix2

Second fixation point

RtFloat RtPhysAttr::volume

Volume

RtFloat RtPhysAttr::density

Density

RtMatrix3f RtPhysAttr::inertia

Inertia in object's local coordinate

BSTR RtPhysAttr::name

Name

RtFloat RtPhysAttr::fShapeSize

size of collision shape for bones

RtPhysImpulse RtPhysAttr::impulse

Impulse